package com.argotec.siar.scraper;

import com.argotec.scraper.Scraper;
import com.argotec.siar.util.ScrapingUrl;
import org.junit.Test;
import org.openqa.selenium.By;

import java.time.LocalDate;

import static com.argotec.scraper.Scraper.source;
import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.equalTo;

public class SiarScraperUtilTest {

    @Test
    public void setStartDate() {
        LocalDate providedDate = LocalDate.of(2018, 1, 1);
        String expectedDate = "01/01/2018";

        try (Scraper scraper = getScraper()) {
            SiarScraperUtil.setStartDate(providedDate).doAction(scraper);

            assertThat(scraper.findRootElement(By.id("txtFechaIni")).getAttribute("value"), equalTo(expectedDate));
        }
    }

    @Test
    public void setEndDate() {
        LocalDate providedDate = LocalDate.of(2018, 1, 1);
        String expectedDate = "01/01/2018";

        try (Scraper scraper = getScraper()) {
            SiarScraperUtil.setEndDate(providedDate).doAction(scraper);

            assertThat(scraper.findRootElement(By.id("txtFechaFin")).getAttribute("value"), equalTo(expectedDate));
        }
    }

    private Scraper getScraper() {
        return source(ScrapingUrl.getUrlDq);
    }
}