package com.argotec.restapi;

import com.argotec.siar.SiarConfiguration;
import com.argotec.siar.model.AutonomousCommunity;
import com.argotec.siar.repository.AutonomousCommunityRepository;
import com.argotec.siar.service.AutonomousCommunityService;
import com.argotec.siar.service.ProvinceService;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Import;

import java.util.List;

@SpringBootApplication
@Import(SiarConfiguration.class)
public class RestapiApplication {

    public static void main(String[] args) {
        ApplicationContext context = SpringApplication.run(RestapiApplication.class, args);
        scrapeInitialData(context);
    }

    private static void scrapeInitialData(ApplicationContext context) {
        AutonomousCommunityRepository autonomousCommunityRepository = context.getBean(AutonomousCommunityRepository.class);

        if (autonomousCommunityRepository.findAll().isEmpty()) {
            AutonomousCommunityService autonomousCommunityService = context.getBean(AutonomousCommunityService.class);
            ProvinceService provinceService = context.getBean(ProvinceService.class);

            List<AutonomousCommunity> aUList = autonomousCommunityService.getAllCommunities(true);
            for (AutonomousCommunity autonomousCommunity : aUList) {
                provinceService.getAllProvincesByAuComm(autonomousCommunity.getName(), true);
            }
        }
    }
}
