package com.argotec.restapi.controller;

import com.argotec.siar.service.impl.HomeService;
import io.swagger.annotations.Api;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/v1/index")
@Api(tags = {"Home"})
public class HomeController {

    private final HomeService homeService;

    public HomeController(HomeService homeService) {
        this.homeService = homeService;
    }

    @GetMapping
    public ResponseEntity messageWelcome() {
        return ResponseEntity.ok(homeService.mWelcome());
    }
}
