package com.argotec.siar.repository;

import com.argotec.restapi.RestapiApplication;
import com.argotec.siar.model.AutonomousCommunity;
import org.hamcrest.Matchers;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest;
import org.springframework.boot.test.autoconfigure.orm.jpa.TestEntityManager;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import static org.hamcrest.MatcherAssert.assertThat;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = RestapiApplication.class)
@DataJpaTest
public class AutonomousCommunityRepositoryTest {

    private static final Logger log = LoggerFactory.getLogger(AutonomousCommunityRepositoryTest.class);

    @Autowired
    private TestEntityManager entityManager;

    @Autowired
    private AutonomousCommunityRepository repository;

    @Test
    public void findByNameShouldReturnAutonomousCommunity() {
        this.entityManager.persist(new AutonomousCommunity("AACC TestRepository"));
        AutonomousCommunity community = this.repository.findByName("AACC TestRepository");
        assertThat(community.getName(), Matchers.is("AACC TestRepository"));
        log.info("community name: " + community.getName() + " id: " + community.getId());
    }
}

