package com.argotec.siar.service;

import com.argotec.siar.service.impl.HomeService;
import org.hamcrest.MatcherAssert;
import org.hamcrest.Matchers;
import org.hamcrest.core.IsNull;
import org.junit.Before;
import org.junit.Test;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.is;


public class HomeServiceTest {

    private static final String MESSAGE = "Welcome to your API REST to get meteorological data";

    private HomeService homeService;

    @Before
    public void setUp() {
        homeService = new HomeService();
    }

    @Test
    public void shouldReturnWelcomeMessage() {
        MatcherAssert.assertThat(MESSAGE, Matchers.is(IsNull.notNullValue()));
        MatcherAssert.assertThat(MESSAGE, Matchers.not(Matchers.isEmptyString()));
        assertThat(MESSAGE, is(homeService.mWelcome()));
    }
}



